#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: test-framework
version: 0.8.1.1
id: test-framework-0.8.1.1-9AeLb617x2jBF4p0QVUN5W
key: test-framework-0.8.1.1-9AeLb617x2jBF4p0QVUN5W
license: BSD3
maintainer: Libraries List <libraries@haskell.org>
homepage: https://batterseapower.github.io/test-framework/
synopsis: Framework for running and organising tests, with HUnit and QuickCheck support
description:
    Allows tests such as QuickCheck properties and HUnit test cases to be assembled into test groups, run in
    parallel (but reported in deterministic order, to aid diff interpretation) and filtered and controlled by
    command line options. All of this comes with colored test output, progress reporting and test statistics output.
category: Testing
author: Max Bolingbroke <batterseapower@hotmail.com>
exposed: True
indefinite: False
exposed-modules:
    Test.Framework Test.Framework.Options Test.Framework.Providers.API
    Test.Framework.Runners.API Test.Framework.Runners.Console
    Test.Framework.Runners.Options Test.Framework.Runners.TestPattern
    Test.Framework.Seed
hidden-modules: Test.Framework.Core Test.Framework.Improving
                Test.Framework.Runners.Console.Colors
                Test.Framework.Runners.Console.ProgressBar
                Test.Framework.Runners.Console.Run
                Test.Framework.Runners.Console.Statistics
                Test.Framework.Runners.Console.Table
                Test.Framework.Runners.Console.Utilities
                Test.Framework.Runners.Core Test.Framework.Runners.Processors
                Test.Framework.Runners.Statistics Test.Framework.Runners.ThreadPool
                Test.Framework.Runners.TimedConsumption
                Test.Framework.Runners.XML.JUnitWriter Test.Framework.Runners.XML
                Test.Framework.Utilities
abi: a2faf92a3b3e9f92747fc56f0dbd8d0b
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/test-framework-0.8.1.1
library-dirs: /usr/lib/ghc-8.2.2/site-local/test-framework-0.8.1.1
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.2/test-framework-0.8.1.1
hs-libraries: HStest-framework-0.8.1.1-9AeLb617x2jBF4p0QVUN5W
depends:
    ansi-terminal-0.6.3.1-LwW7QlDDdfVDOUh8Avykfz
    ansi-wl-pprint-0.6.8.1-87Vp1rYcKt73B49zrIk7Nn base-4.10.1.0
    containers-0.5.10.2 hostname-1.0-5lbge5b93EG9eAOssUn3b3
    old-locale-1.0.0.7-uLYLcRn7Nv8SkmeS8fMf9
    random-1.1-LLUGZ7T9DqQ5vN0Jbcd0We
    regex-posix-0.95.2-1QNDtrQ5eTp5sBtNrX4AQD time-1.8.0.2
    xml-1.3.14-4CFkuDapbpFLOtwR0lZo9m
abi-depends: ansi-terminal-0.6.3.1-LwW7QlDDdfVDOUh8Avykfz=c641a8aa081e2e8091f06ecaf7fa5087
             ansi-wl-pprint-0.6.8.1-87Vp1rYcKt73B49zrIk7Nn=23520dd12b86f203710ebfaf1d3e81e2
             base-4.10.1.0=35a7f6be752ee4f7385cb5bf28677879
             containers-0.5.10.2=cc49645af4ed58d1819a7e09ee1f7920
             hostname-1.0-5lbge5b93EG9eAOssUn3b3=270c3e4b2339ba09b506dd9c87618185
             old-locale-1.0.0.7-uLYLcRn7Nv8SkmeS8fMf9=cd49072ee3f44d2ed6a40aa4d5cec718
             random-1.1-LLUGZ7T9DqQ5vN0Jbcd0We=bddaa4d6513f513fbc23673a7214617b
             regex-posix-0.95.2-1QNDtrQ5eTp5sBtNrX4AQD=2c632846bcb9014b78d4f76ca78cb8d4
             time-1.8.0.2=7cc0324e0aef789d5f0780f6640c241b
             xml-1.3.14-4CFkuDapbpFLOtwR0lZo9m=eb34efeb7de861c056c316aa1bf178a8
haddock-interfaces: /usr/share/doc/haskell-test-framework/html/test-framework.haddock
haddock-html: /usr/share/doc/haskell-test-framework/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

